commit:     50a6bb2c66ce80aa2843581921639f3ec4248101
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 22 09:23:02 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 10:06:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50a6bb2c

dev-ml/ppx_fail: bump to 113.33.00

Package-Manager: portage-2.2.28
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/ppx_fail/Manifest                  |  1 +
 dev-ml/ppx_fail/ppx_fail-113.33.00.ebuild | 42 +++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ml/ppx_fail/Manifest b/dev-ml/ppx_fail/Manifest
index ff19cd3..42af58e 100644
--- a/dev-ml/ppx_fail/Manifest
+++ b/dev-ml/ppx_fail/Manifest
@@ -1 +1,2 @@
 DIST ppx_fail-113.24.00.tar.gz 51284 SHA256 
50d565d294747f19f26fb7f82fa00cf431d7099f9994b9ee55f14fd76c3b7ecf SHA512 
453e043c5b93c7691a3f9cdf7343308b5336ca28c192571db78bbfcbb693ab82650bc66cbb9b409b512733ab2c61054fce769be6be9007eb5e7825917a07068d
 WHIRLPOOL 
fb62906c2252da5c03886ae1cc9c54d4891d85dd8ecf2c31191048db823f6b289c872c940b65cced899ee7ee96b486888bc94ba57501a27bb55892717c4264fe
+DIST ppx_fail-113.33.00.tar.gz 51294 SHA256 
b5374ed6327298e26fe079b45f093f64d1975475b3c13f2c45f4c0ce0cc64390 SHA512 
d52475bf9cf5edb50077bc4648f20d19c0d95c163d49244ac0786ab23a53de57b7d38a09429de6c91ab5f01251986e650f56647e7bb495da50f9999e838e69e7
 WHIRLPOOL 
395fb10fa80cb76733fd03059898dd2682384c732ee81fad1a905c6b3c2cfb0fa2326847ca0e035d65bb68c33710114f56edcad48d1e94efab3559e6a42d026b

diff --git a/dev-ml/ppx_fail/ppx_fail-113.33.00.ebuild 
b/dev-ml/ppx_fail/ppx_fail-113.33.00.ebuild
new file mode 100644
index 0000000..e835771
--- /dev/null
+++ b/dev-ml/ppx_fail/ppx_fail-113.33.00.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis
+
+DESCRIPTION="Add location to calls to failwiths"
+HOMEPAGE="http://www.janestreet.com/ocaml";
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-ml/ppx_tools:=
+       dev-ml/ppx_core:=
+       dev-ml/ppx_driver:=
+       dev-ml/ppx_here:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+src_configure() {
+       emake setup.exe
+       OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+       emake
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md
+}

Reply via email to